Package com.collibra.dgc.core.api.dto.workflow

# Class FindWorkflowInstancesRequest

Object
PagedRequest
FindWorkflowInstancesRequest

All Implemented Interfaces:
  `Serializable`

public class FindWorkflowInstancesRequest extends PagedRequest
The search criteria for workflow instances.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored. The returned workflow instances satisfy all constraints that are specified in this search criteria. By default a result containing 1000 workflow instances is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindWorkflowInstancesRequest.Builder`
  `static enum`
  `FindWorkflowInstancesRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindWorkflowInstancesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindWorkflowInstancesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getBusinessItemId()`
  The ID of the business item that should be contained by the searched workflows.
  `String`
  `getBusinessItemName()`
  The display name of the business item that should be contained by the searched workflows.
  `String`
  `getParentWorkflowInstanceId()`
  The ID of the parent workflow instance to query.
  `FindWorkflowInstancesRequest.SortField`
  `getSortField()`
  The field on which the results are sorted.
  `SortOrder`
  `getSortOrder()`
  The sorting order.
  `String`
  `getWorkflowDefinitionId()`
  The ID of the workflow definition.
  `String`
  `getWorkflowDefinitionName()`
  The name (or a part of it) of the workflow definition.
  `String`
  `getWorkflowInstanceIdPhrase()`
  `int`
  `hashCode()`
  `void`
  `setBusinessItemId(UUID businessItemId)`
  The ID of the business item that should be contained by the searched workflows.
  `void`
  `setBusinessItemName(String businessItemName)`
  The display name of the business item that should be contained by the searched workflows.
  `void`
  `setParentWorkflowInstanceId(String parentWorkflowInstanceId)`
  The ID of the parent workflow instance to query.
  `void`
  `setSortField(FindWorkflowInstancesRequest.SortField sortField)`
  The field on which the results are sorted.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The sorting order.
  `void`
  `setWorkflowDefinitionId(String workflowDefinitionId)`
  The ID of the workflow definition.
  `void`
  `setWorkflowDefinitionName(String workflowDefinitionName)`
  The name (or a part of it) of the workflow definition.
  `void`
  `setWorkflowInstanceIdPhrase(String workflowInstanceIdPhrase)`
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindWorkflowInstancesRequest

    public FindWorkflowInstancesRequest()

- ## Method Details

  - ### builder

    public static FindWorkflowInstancesRequest.Builder builder()

  - ### getBusinessItemName

    public String getBusinessItemName()
    The display name of the business item that should be contained by the searched workflows.

  - ### getBusinessItemId

    public UUID getBusinessItemId()
    The ID of the business item that should be contained by the searched workflows.

  - ### getWorkflowDefinitionId

    public String getWorkflowDefinitionId()
    The ID of the workflow definition.

  - ### getWorkflowDefinitionName

    public String getWorkflowDefinitionName()
    The name (or a part of it) of the workflow definition.

  - ### getWorkflowInstanceIdPhrase

    public String getWorkflowInstanceIdPhrase()

  - ### getSortField

    public FindWorkflowInstancesRequest.SortField getSortField()
    The field on which the results are sorted.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The sorting order.

  - ### getParentWorkflowInstanceId

    public String getParentWorkflowInstanceId()
    The ID of the parent workflow instance to query.

  - ### setBusinessItemName

    public void setBusinessItemName(String businessItemName)
    The display name of the business item that should be contained by the searched workflows.

  - ### setBusinessItemId

    public void setBusinessItemId(UUID businessItemId)
    The ID of the business item that should be contained by the searched workflows.

  - ### setWorkflowDefinitionId

    public void setWorkflowDefinitionId(String workflowDefinitionId)
    The ID of the workflow definition.

  - ### setWorkflowDefinitionName

    public void setWorkflowDefinitionName(String workflowDefinitionName)
    The name (or a part of it) of the workflow definition.

  - ### setWorkflowInstanceIdPhrase

    public void setWorkflowInstanceIdPhrase(String workflowInstanceIdPhrase)

  - ### setSortField

    public void setSortField(FindWorkflowInstancesRequest.SortField sortField)
    The field on which the results are sorted.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The sorting order.

  - ### setParentWorkflowInstanceId

    public void setParentWorkflowInstanceId(String parentWorkflowInstanceId)
    The ID of the parent workflow instance to query.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`